Subject: bad http accept header

From: Wichert Akkerman <[email-masked]>
Date: Thu, 26 Aug 2004 23:29:12 +0200

Package: w3m
Version: 0.5.1-1
Severity: normal

w3m uses a extremely broad HTTP Accept header in its requests where
it claims to handle all text types. This is not true though: at least
text/xml is not supported.

This breaks when a webserver uses content negotiation to choose between
text/html and text/xml; in my standard apache multiview setup apache
chooses text/xml which results in w3m not being able view the site.

Wichert.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8.1
Locale: LANG=C, LC_CTYPE=en_GB.UTF-8

Versions of packages w3m depends on:
ii  libc6                       2.3.2.ds1-16 GNU C Library: Shared libraries an
ii  libgc1                      1:6.3-1      Conservative garbage collector for
ii  libgpmg1                    1.19.6-16    General Purpose Mouse - shared lib
ii  libncurses5                 5.4-4        Shared libraries for terminal hand
ii  libssl0.9.7                 0.9.7d-5     SSL shared libraries
ii  zlib1g                      1:1.2.1.1-5  compression library - runtime

-- no debconf information